Update Task
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/tasks/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"task_id": "<string>",
"name": "<string>",
"prompt": "<string>",
"description": "<string>",
"schedule_config": {},
"timezone": "<string>",
"enabled": true,
"max_executions": 123
}
'import requests
url = "https://api.boostgpt.co/v1/bot/tasks/update"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"task_id": "<string>",
"name": "<string>",
"prompt": "<string>",
"description": "<string>",
"schedule_config": {},
"timezone": "<string>",
"enabled": True,
"max_executions": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
task_id: '<string>',
name: '<string>',
prompt: '<string>',
description: '<string>',
schedule_config: {},
timezone: '<string>',
enabled: true,
max_executions: 123
})
};
fetch('https://api.boostgpt.co/v1/bot/tasks/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"uuid": "<string>",
"bot_id": "<string>",
"name": "<string>",
"description": "<string>",
"prompt": "<string>",
"purpose": "<string>",
"schedule_type": "once",
"schedule_config": {},
"timezone": "<string>",
"enabled": true,
"state": "<string>",
"autonomy": "<string>",
"chat_mode": "<string>",
"active_hours_start": "<string>",
"active_hours_end": "<string>",
"execution_count": 123,
"max_executions": 123,
"error_count": 123,
"max_consecutive_errors": 123,
"last_executed_at": "2023-11-07T05:31:56Z",
"last_status": "<string>",
"last_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Tasks
Update Task
Update a task. Only the fields supplied are changed.
PUT
/
v1
/
bot
/
tasks
/
update
Update Task
Authorizations
Enter your API key
Body
application/json
Only the fields supplied are changed.
Project ID
Agent ID
Task UUID
How the task repeats. interval uses schedule_config.interval_minutes; cron uses schedule_config.cron.
Available options:
once, daily, weekly, monthly, interval, cron Shape depends on schedule_type: { interval_minutes }, { time }, { day, time }, { day_of_month, time } or { cron }.
Response
200 - application/json
The updated task
Show child attributes
Show child attributes
Was this page helpful?
⌘I